package io.renren.modules.sys.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.renren.common.utils.PageUtils;
import io.renren.modules.sys.dao.algs.AlgTrainLogMapper;
import io.renren.modules.sys.entity.algs.AlgTrainLog;
import io.renren.modules.sys.service.AlgTrainLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.io.Serializable;
import java.util.Arrays;
import java.util.Collection;
import java.util.Map;

@Service("algTrainLogService")
public class AlgTrainLogServiceImpl extends ServiceImpl<AlgTrainLogMapper, AlgTrainLog> implements AlgTrainLogService {
    @Autowired
    AlgTrainLogMapper algTrainLogMapper;

    @Override
    public PageUtils queryPageOnUse(Map<String, Object> params) {
        return null;
    }

    @Override
    public void deleteBatch(Long[] algorithmTrainingLogIds) {
        this.removeByIds(Arrays.asList(algorithmTrainingLogIds));
    }

    @Override
    public void update(AlgTrainLog algTrainLog) {
        this.updateById(algTrainLog);
    }

    @Override
    public AlgTrainLog selectByPrimaryKey(Long algorithmTrainingLogId) {
        return algTrainLogMapper.selectByPrimaryKey(algorithmTrainingLogId);
    }

    @Override
    public AlgTrainLog selectByAlgTrainId(Long algorithmTrainingId) {
        return algTrainLogMapper.selectByAlgTrainId(algorithmTrainingId);
    }
}
